{
  "compilerOptions": {
    // this aligns with Vue's browser support
    "target": "es2015",
    // this enables stricter inference for data properties on `this`
    "strict": true,
    "module": "es2015",
    "moduleResolution": "node",
    "allowSyntheticDefaultImports": true,
    "sourceMap": true,
    "skipLibCheck": true,
    "allowJs": true
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.vue"
  ],
  "exclude": [
    "node_modules"
  ]
}